fop 1.1

## org.apache.fop.pdf
Class PDFNumberTreeNode

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.PDFNumberTreeNode

All Implemented Interfaces:
  PDFWritable

Direct Known Subclasses:
  PDFPageLabels, PDFParentTree

    public class PDFNumberTreeNode

extends PDFDictionary

Class representing a PDF number tree node.

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`PDFNumberTreeNode()` create a named destination

Method Summary
`PDFArray` `getKids()` Returns the Kids array.
`java.lang.Integer` `getLowerLimit()` Returns the lower limit value of the Limits array.
`PDFNumsArray` `getNums()` Returns the Nums array.
`java.lang.Integer` `getUpperLimit()` Returns the upper limit value of the Limits array.
`void` `setKids(PDFArray kids)` Sets the Kids array.
`void` `setLowerLimit(java.lang.Integer key)` Sets the lower limit value of the Limits array.
`void` `setNums(PDFNumsArray nums)` Sets the Nums array.
`void` `setUpperLimit(java.lang.Integer key)` Sets the upper limit value of the Limits array.

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`get, output, put, put, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFNumberTreeNode

    public PDFNumberTreeNode()

  create a named destination

Method Detail

### setKids

    public void setKids(PDFArray kids)

  Sets the Kids array.

  Parameters:
    `kids` - the Kids array

### getKids

    public PDFArray getKids()

  Returns the Kids array.

  Returns:
    the Kids array

### setNums

    public void setNums(PDFNumsArray nums)

  Sets the Nums array.

  Parameters:
    `nums` - the Nums array

### getNums

    public PDFNumsArray getNums()

  Returns the Nums array.

  Returns:
    the Nums array

### setLowerLimit

    public void setLowerLimit(java.lang.Integer key)

  Sets the lower limit value of the Limits array.

  Parameters:
    `key` - the lower limit value

### getLowerLimit

    public java.lang.Integer getLowerLimit()

  Returns the lower limit value of the Limits array.

  Returns:
    the lower limit value

### setUpperLimit

    public void setUpperLimit(java.lang.Integer key)

  Sets the upper limit value of the Limits array.

  Parameters:
    `key` - the upper limit value

### getUpperLimit

    public java.lang.Integer getUpperLimit()

  Returns the upper limit value of the Limits array.

  Returns:
    the upper limit value

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.